---
title: Change your billing cycle
weight: 50
description: Learn to change your billing cycle for your Docker subscription
keywords: billing, cycle, payments, subscription
aliases:
- /billing/cycle/
---

You can pay for a Pro or Team subscription on a monthly or yearly billing cycle. You select your preferred billing cycle when you buy your subscription.

If you have a monthly billing cycle, you can choose to switch to an annual billing cycle. Note that it's not possible to switch from an annual billing cycle to monthly.

When you change the billing cycle's duration:
- The next billing date reflects the new cycle. To find your next billing date, see [View renewal date](history.md#view-renewal-date).
- The subscription's start date resets. For example, if the start date of the monthly subscription is March 1st and the end date is April 1st, then after switching the billing duration to March 15th, 2023 the new start date is March 15th, 2023, and the new end date is March 15th, 2024.
- Any unused monthly subscription is prorated and applied as credit towards the new annual period. For example, if you switch from a $10 monthly subscription to a $100 annual plan, deducting the unused monthly value (in this case $5), the migration cost becomes $95 ($100 - $5). The renewal cost after March 15, 2024 is $100.

{{< include "tax-compliance.md" >}}

## Personal account

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. In the bottom-right of the **Plan** tab, select **Switch to annual billing**.
4. Review the information displayed on the **Change to an Annual subscription** page and select **Accept Terms and Purchase** to confirm.

## Organization

> [!NOTE]
>
> You must be an organization owner to make changes to the payment information.

1. In Docker Hub, select **Organizations**.
2. Select the organization that you want to change the payment method for.
3. In the bottom-right of the **Plan** tab, select **Switch to annual billing**.
4. Review the information displayed on the **Change to an Annual subscription** page and select **Accept Terms and Purchase** to confirm.
